# Copyright (C) 1997-1998 Four J's Development Tools

DATABASE pb

GLOBALS "globals.4gl"

FUNCTION showCompany (l_com_id)

  DEFINE l_com_id INTEGER

  DEFINE l_buffer CHAR(500)
  DEFINE r_company RECORD LIKE company.*
  DEFINE res INTEGER

  OPEN WINDOW frmCompanyWindow AT 5, 5
    WITH 80 ROWS, 60 COLUMNS
    ATTRIBUTES (BORDER)
                                                                                
  OPEN FORM frmCompany FROM "fcompany"                                
  DISPLAY FORM frmCompany

  SELECT company.* INTO r_company.* 
    FROM company
    WHERE com_id = l_com_id

  DISPLAY BY NAME r_company.*

  IF r_company.com_email IS NOT NULL THEN
    LET l_buffer = "<A HREF=\"mailto:", r_company.com_email CLIPPED, "\">",r_company.com_email CLIPPED, "</A>"
    DISPLAY l_buffer TO com_email
  END IF

  IF r_company.com_web IS NOT NULL THEN
    LET l_buffer = "<A HREF=\"http://", r_company.com_web CLIPPED, "\" TARGET=\"_blank\">",r_company.com_web CLIPPED, "</A>"
    DISPLAY l_buffer TO com_web
  END IF

  MENU ""
    COMMAND "Back"
      EXIT MENU

    COMMAND "List contacts"
      CALL browseContacts(l_com_id)

    COMMAND "Add contact"
      CALL newContact(l_com_id)

    COMMAND "Edit"
      LET INT_FLAG = FALSE
      INPUT 
        r_company.com_name, 
        r_company.com_address_1,
        r_company.com_address_2,
        r_company.com_address_3,
        r_company.com_zip,
        r_company.com_city,
        r_company.com_state,
        r_company.com_country,
        r_company.com_tel,
        r_company.com_fax,
        r_company.com_email,
        r_company.com_web
      WITHOUT DEFAULTS
      FROM
        com_name, 
        com_address_1,
        com_address_2,
        com_address_3,
        com_zip,
        com_city,
        com_state,
        com_country,
        com_tel,
        com_fax,
        com_email,
        com_web

      IF INT_FLAG = FALSE THEN
        UPDATE company 
          SET company.* = r_company.*
          WHERE company.com_id = r_company.com_id
      END IF
      EXIT MENU

    COMMAND "Delete"
      LET res = isSuperUser()
      IF res = TRUE THEN
        DELETE FROM company
          WHERE company.com_id = l_com_id
      END IF 
      EXIT MENU

  END MENU

  CLOSE WINDOW frmCompanyWindow

END FUNCTION

FUNCTION showContact (l_ctc_id)
 
  DEFINE l_ctc_id INTEGER

  DEFINE r_contact RECORD LIKE contact.*
  DEFINE res INTEGER

  OPEN WINDOW frmContactWindow AT 10, 10
    WITH 20 ROWS, 60 COLUMNS
    ATTRIBUTES (BORDER)
                                                                                
  OPEN FORM frmContact FROM "fcontact"                                
  DISPLAY FORM frmContact

  SELECT contact.* INTO r_contact.*
    FROM contact
    WHERE ctc_id = l_ctc_id

  DISPLAY BY NAME r_contact.*

  MENU ""
    COMMAND "Back"
      EXIT MENU

    COMMAND "Edit"
      LET INT_FLAG = FALSE
      INPUT 
        r_contact.ctc_com_id, 
        r_contact.ctc_title, 
        r_contact.ctc_first, 
        r_contact.ctc_middle, 
        r_contact.ctc_last, 
        r_contact.ctc_suffix, 
        r_contact.ctc_job, 
        r_contact.ctc_dept, 
        r_contact.ctc_tel, 
        r_contact.ctc_fax, 
        r_contact.ctc_email
      WITHOUT DEFAULTS
      FROM
        ctc_com_id, 
        ctc_title, 
        ctc_first, 
        ctc_middle, 
        ctc_last, 
        ctc_suffix, 
        ctc_job, 
        ctc_dept, 
        ctc_tel, 
        ctc_fax, 
        ctc_email

      IF INT_FLAG = FALSE THEN
        UPDATE contact                                                          
          SET contact.* = r_contact.*                                           
          WHERE contact.ctc_id = r_contact.ctc_id
      END IF
      EXIT MENU

    COMMAND "Delete"
      LET res = isSuperUser()
      IF res = TRUE THEN
        DELETE FROM contact
          WHERE contact.ctc_id = l_ctc_id
      END IF
      EXIT MENU

  END MENU

  CLOSE WINDOW frmContactWindow

END FUNCTION

