CREATE DATABASE pb;
grant dba to "public";

create table company 
  (
    com_id serial not null,
    com_name char(50) not null,
    com_address_1 char(100),
    com_address_2 char(100),
    com_address_3 char(100),
    com_zip char(15),
    com_city char(30),
    com_state char(15),
    com_country char(20),
    com_tel char(30),
    com_fax char(30),
    com_email char(40),
    com_web char(100)
  );

create unique index company_id on company (com_id);

create table contact 
  (
    ctc_id serial not null,
    ctc_com_id integer not null,
    ctc_title char(20),
    ctc_first char(20),
    ctc_middle char(20),
    ctc_last char(20),
    ctc_suffix char(10),
    ctc_job char(50),
    ctc_dept char(40),
    ctc_tel char(30),
    ctc_fax char(30),
    ctc_email char(40)
  );

create unique index contact_id on contact (ctc_id);
create index contact_company_id on contact (ctc_com_id);

load from "data/company.unl" delimiter "@" insert into company;
load from "data/contact.unl" delimiter "@" insert into contact;

 


